Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.pdf.actions.SOAPRequestProperties Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| SOAPRequestProperties ()
| Constructor.
| SOAPRequestProperties (string request_url, string request_content, string soap_action, string soap_namespace, string soap_version, string content_type, bool is_encode, bool is_wiredump, string request_header, SOAPAuthenticateInfo authenticate)
| Constructor, with parameters. More...
| SOAPRequestProperties (SOAPRequestProperties request_properties)
| Constructor, with another SOAP request properties object. More...
void | Set (string request_url, string request_content, string soap_action, string soap_namespace, string soap_version, string content_type, bool is_encode, bool is_wiredump, string request_header, SOAPAuthenticateInfo authenticate)
| Set values. More...

## Properties
SOAPAuthenticateInfo? | authenticate`[get, set]`
| An object that specifies how to handle HTTP authentication or credentials to use for Web Service Security.
string | content_type`[get, set]`
| Allows the HTTP content-type header to be specified. The default is to use the SOAP messaging HTTP content-type.
bool | is_encode`[get, set]`
| Encoded the request using the SOAP Encoding described in the SOAP Specification. Otherwise, the literal encoding is used.
bool | is_wiredump`[get, set]`
| Whether to output debug information for SOAP requests and responses, defaults to true.
string | request_content`[get, set]`
| An object that specifies the remote procedure name and parameters or the XML message to send.
string | request_header`[get, set]`
| An object that specifies a SOAP header to be included with the request. The default is to send a request with only a SOAP Body.
string | request_url`[get, set]`
| The URL for a SOAP HTTP endpoint.
string | soap_action`[get, set]`
| The SOAP action is a URN written to an HTTP header used by firewalls and servers to filter SOAP requests.
string | soap_namespace`[get, set]`
| A namespace for the message schema when the request does not use the SOAP Encoding. More...
string | soap_version`[get, set]`
| The version of the SOAP protocol to use when generating the XML Message.

## Detailed Description

This class represents SOAP request properties.

## Constructor & Destructor Documentation

## ◆ SOAPRequestProperties() [1/2]

foxit.pdf.actions.SOAPRequestProperties.SOAPRequestProperties | ( | string | request_url,
|  | string | request_content,
|  | string | soap_action,
|  | string | soap_namespace,
|  | string | soap_version,
|  | string | content_type,
|  | bool | is_encode,
|  | bool | is_wiredump,
|  | string | request_header,
|  | SOAPAuthenticateInfo | authenticate
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | request_url | The URL for a SOAP HTTP endpoint.
  [in] | request_content | An object that specifies the remote procedure name and parameters or the XML message to send.
  [in] | soap_action | The SOAP action is a URN written to an HTTP header used by firewalls and servers to filter SOAP requests.
  [in] | soap_namespace | A namespace for the message schema when the request does not use the SOAP Encoding.
  [in] | soap_version | The version of the SOAP protocol to use when generating the XML Message.
  [in] | content_type | Allows the HTTP content-type header to be specified. The default is to use the SOAP messaging HTTP content-type.
  [in] | is_encode | Encoded the request using the SOAP Encoding described in the SOAP Specification. Otherwise, the literal encoding is used.
  [in] | is_wiredump | Whether to output debug information for SOAP requests and responses, defaults to true.
  [in] | request_header | An object that specifies a SOAP header to be included with the request. The default is to send a request with only a SOAP Body
  [in] | authenticate | An object that specifies how to handle HTTP authentication or credentials to use for Web Service Security.

## ◆ SOAPRequestProperties() [2/2]

foxit.pdf.actions.SOAPRequestProperties.SOAPRequestProperties | ( | SOAPRequestProperties | request_properties | ) |
| inline

Constructor, with another SOAP request properties object.

Parameters

  [in] | request_properties | Another SOAP request properties object.

## Member Function Documentation

## ◆ Set()

void foxit.pdf.actions.SOAPRequestProperties.Set | ( | string | request_url,
|  | string | request_content,
|  | string | soap_action,
|  | string | soap_namespace,
|  | string | soap_version,
|  | string | content_type,
|  | bool | is_encode,
|  | bool | is_wiredump,
|  | string | request_header,
|  | SOAPAuthenticateInfo | authenticate
| ) |  |
| inline

Set values.

Parameters

  [in] | request_url | The URL for a SOAP HTTP endpoint.
  [in] | request_content | An object that specifies the remote procedure name and parameters or the XML message to send.
  [in] | soap_action | The SOAP action is a URN written to an HTTP header used by firewalls and servers to filter SOAP requests.
  [in] | soap_namespace | A namespace for the message schema when the request does not use the SOAP Encoding.
  [in] | soap_version | The version of the SOAP protocol to use when generating the XML Message.
  [in] | content_type | Allows the HTTP content-type header to be specified. The default is to use the SOAP messaging HTTP content-type.
  [in] | is_encode | Encoded the request using the SOAP Encoding described in the SOAP Specification. Otherwise, the literal encoding is used.
  [in] | is_wiredump | Whether to output debug information for SOAP requests and responses, defaults to true.
  [in] | request_header | An object that specifies a SOAP header to be included with the request. The default is to send a request with only a SOAP Body
  [in] | authenticate | An object that specifies how to handle HTTP authentication or credentials to use for Web Service Security.

Returns
  None.

## Property Documentation

## ◆ soap_namespace

string foxit.pdf.actions.SOAPRequestProperties.soap_namespace
| get set

A namespace for the message schema when the request does not use the SOAP Encoding.

The default is to omit the schema declaration.